{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} View department {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {{department.name}}
        </p>
        <p class="subtitle">
            Details
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-2 mt-6">
    <div class="box">
        <div class="section">
            <div class="columns">
                <div class="column is-10">
                    <h3 class="title">{{department.name}}</h3>
                    <h5 class="subtitle"> {{department.primary_department}} </h5>
                </div>
                {% if user.is_superuser %}
                <div class="column has-text-justified">
                    <a href="{% url 'department_update' id=department.id %}" class="mr-4">
                        <button class="button is-small is-warning">Edit</button>
                    </a>
                    <a href="{% url 'department_delete' id=department.id %}">
                        <button class="button is-small is-danger">Delete</button>
                    </a>
                </div>
                {% endif %}
            </div>
            <p class="content has-text-justified">{{department.description|safe}}</p>
        </div>
        <hr>
        <div class="section">
            <div class="columns">
                {% for emp in department.department_members.all %}
                {% if user.is_superuser %}
                <a href="{% url 'employee_detail' empid=emp.emp_id %}">
                    <div class="column is-3">
                        <div class="media">
                            <div class="media-content">
                                <p class="title is-4">{{emp.first_name}} {{emp.last_name}}</p>
                                {% if emp.designation %}
                                <p class="subtitle is-6">{{emp.designation}} </p>
                                {% endif %}
                            </div>
                        </div>

                        <div class="content">
                            <p>{{emp.email}}</p>
                            <a></a>
                        </div>
                    </div>

                </a>
                {% else %}
                <div class="column is-3">
                    <div class="media">
                        <div class="media-content">
                            <p class="title is-4">{{emp.first_name}} {{emp.last_name}}</p>
                            {% if emp.designation %}
                            <p class="subtitle is-6">{{emp.designation}} </p>
                            {% endif %}
                        </div>
                    </div>

                    <div class="content">
                        <p>{{emp.email}}</p>
                        <a></a>
                    </div>
                </div>
                {% endif %}
                {% endfor %}
            </div>
        </div>
    </div>
</div>
{% endblock %}